#!/usr/bin/python3
import sys
import codecs
import traceback
import requests
import re
import pandas as pd
import random
import urllib
import dataset
import json
import gspread
import datetime
from gspread_pandas import Spread, Client
from oauth2client.service_account import ServiceAccountCredentials
import os
import threading

def save_sheet(df,filename,tabname,startpos='A1'):

    scope = ['https://spreadsheets.google.com/feeds',
            'https://www.googleapis.com/auth/drive']

#    credentials = ServiceAccountCredentials.from_json_keyfile_name('c:\\keys\\spread2.json', scope)
    credentials = ServiceAccountCredentials.from_json_keyfile_name('/var/keys/spread2.json', scope)

    gc = gspread.authorize(credentials)
    spread = Spread(filename,creds=credentials)

    spread.df_to_sheet(df, index=False, sheet=tabname, start=startpos, replace=False)


def do_jobs():
    db = dataset.connect('mysql://choozmo:pAssw0rd@db.ptt.cx:3306/hhh?charset=utf8mb4')
    cursor=db.query('SELECT sex,phone,email,building_case_name,building_case_type,decoration_style,decoration_budget,decoration_size,src,area,userid FROM hhh.step_questions;')
    df = pd.DataFrame(columns=('sex','phone','email','building_case_name','building_case_type','decoration_style','decoration_budget','decoration_size','src','area','userid'))

    idx=0

    for c in cursor:
        df.loc[idx]=[c['sex'],c['phone'],c['email'],c['building_case_name'],c['building_case_type'],c['decoration_style'],c['decoration_budget'],c['decoration_size'],c['src'],c['area'],c['userid']]
    #    df.loc[idx]=['okok',333]
        idx+=1
    save_sheet(df,'SurveyResult','result')

t = threading.Thread(target = do_jobs)
t.start()
t.join()

